.touchevents {
    .museum {
        .horizonatl-scroll {
            &__box {
                &._scroll {
                    width: 100vw;
                    overflow-x: scroll;
                    -webkit-overflow-scrolling: touch !important;
                    &::-webkit-scrollbar {
                        -webkit-appearance: none;
                        width: 0;
                        height: 0;
                        display: none;
                    }
                    .museum__wrapper {
                        &_container {
                            min-width: 2144px;
                            position: relative;
                            transform: translateZ(1px);
                            -webkit-overflow-scrolling: touch !important;
                            &::-webkit-scrollbar {
                                -webkit-appearance: none;
                                width: 0;
                                height: 0;
                                display: none;
                            }
                        }
                    }
                }
            }
        }
    }
}
.museum {
    position: relative;
    overflow: hidden;
    z-index: -1;
    .horizonatl-scroll {
        @media (max-width:1024px) {
            height: auto;
        }
        &__box {
            &._scroll {
                @media (max-width:1024px) {
                    width: 100vw;
                    overflow-x: scroll;
                    -webkit-overflow-scrolling: touch !important;
                    &::-webkit-scrollbar {
                        -webkit-appearance: none;
                        width: 0;
                        height: 0;
                        display: none;
                    }
                    .museum__wrapper {
                        &_container {
                            min-width: 2144px;
                            position: relative;
                            transform: translateZ(1px);
                            -webkit-overflow-scrolling: touch !important;
                            &::-webkit-scrollbar {
                                -webkit-appearance: none;
                                width: 0;
                                height: 0;
                                display: none;
                            }
                        }
                    }
                }
            }
        }
    }
    &__bg {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100vw;
        height: 100vh; 
        background: #ffffff;
        background-attachment: fixed;
        z-index: 0;
        pointer-events: none;
        &._hide {
            opacity: 0;
        }
        &_img {
            position: absolute;
            top: 50%;
            left: 50%;
            width: 100vw;
            height: 120vh; 
            max-width: 100vw;
            object-fit: cover;
            object-position: 50% 20%;
            z-index: 2;
            transform: translate(-50%, -50%);
            &--2 {
                display: none;
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                z-index: 2;
                margin: auto;
            }
            &--3 {
                position: absolute;
                top: -20%;
                right: 0;
                transform: translateX(50%);
                max-width: 70vw;
                mix-blend-mode: difference;
                z-index: 2;
            }
            &--4 {
                position: absolute;
                bottom: -7%;
                left: 0;
                transform: translateX(-50%);
                max-width: 70vw;
                mix-blend-mode: difference;
                z-index: 2;
            }
        }
    }
    &__line {
        display: flex;
        padding: 0 40px;
    }
    &__item {
        min-width: 700px;
        position: relative;
        z-index: 1;
        @media (max-width: 1024px) {
            min-width: 0;
        }
        span, a {
            color: #CCA86F;
        }
        &_img {
            filter: drop-shadow(0px 23px 40px rgba(0, 0, 0, 0.25));
            transition: .3s ease;
            cursor: url(../img/cursor_plus.svg), url(../img/cursor_plus.svg), auto;
            transform: translateZ(1px);
            &:hover {
                transform: rotate(-6deg);
            }
            &-box {
                margin: 0 53px 24px 0;
                @media (max-width: 1024px) {
                    margin: 0 20px 10px 0;
                    width: 230px;
                }
            }
        }
        &_text {
            @media (max-width: 1024px) {
                font-weight: 300;
                font-size: 14px;
                line-height: 18px;
            }            
            @media (max-width: 480px) {
                font-size: 12px;
                line-height: 14px;
            }
            &-title {
                font-family: 'NewBaskervilleExpOdC';
                font-size: 24px;
                line-height: 1.33;
                color: #1D1D1D;
                @media (max-width: 1024px) {
                    font-size: 16px;
                    line-height: 2;
                }
            }
        }
        &--1 {
            margin-top: 88px;
            @media (max-width: 1024px) {
                min-width: 40vh;
            }
            @media (max-width: 767px) {
                min-width: 290px;
            }
            .museum__item_img-box {
                @media (max-width: 767px) {
                    width: 204px;
                }
            }
        }
        &--2 {
            display: flex;
            margin-right: 83px;
            @media (max-width: 1024px) {
                min-width: 400px;
            }
            .museum__item_img-box {
                @media (max-width: 1024px) {
                    width: 131px;
                }
            }
            .museum__item {
                &_text {
                    width: 386px;
                    @media (max-width: 1024px) {
                        margin-left: 0;
                        width: 250px;
                    }
                    &-title {
                        margin-top: 50px;
                        margin-bottom: 0px;
                    }
                }
            }
        }
        &--3 {
            display: flex;
            min-width: 850px;
            margin-right: 83px;
            margin-top: 68px;
            @media (max-width: 1024px) {
                min-width: 490px;
                margin-right: 20px;
                margin-top: 28px;
            }
            .museum__item {
                &_text {
                    width: 386px;
                    @media (max-width: 1024px) {
                        width: 220px;
                    }
                    &-box {
                        margin-left: 40px;
                        @media (max-width: 1024px) {
                            margin-left: 0;
                        }
                    }
                }
            }
        }
        &--4 {
            display: flex;
            min-width: 850px;
            margin-top: 15px;
            margin-right: 80px;
            @media (max-width: 1024px) {
                min-width: 400px;
                margin-right: 40px;
            }
            .museum__item {
                &_text {
                    width: 386px;
                    @media (max-width: 1024px) {
                        width: 160px;
                    }
                    &-box {
                        margin-top: 40px;
                        margin-left: 40px;
                    }
                }
            }
        }
        &--5 {
            display: flex;
            align-items: center;
            margin-right: 83px;
            padding-left: 133px;
            margin-left: 98px;
            @media (max-width: 1024px) {
                padding-left: 0;
                margin-left: 0;
                margin-right: 40px;
                width: 50vw;
                display: block;
            }
            @media (max-width: 767px) {
                width: 226px;
            }
            .museum__item {
                &_img-box {
                    margin-bottom: 0;
                    @media (max-width: 1024px) {
                        width: 176px;
                        margin-bottom: 10px;
                    }
                }
                &_text {
                    width: 386px;
                    @media (max-width: 1024px) {
                        width: 100%;
                    }
                    &-box {
                        margin-left: -13px;
                        @media (max-width: 1024px) {
                            margin-left: 0;
                        }
                    }
                }
            }
            + .museum__item--5 {
                @media (max-width: 1024px) {
                    margin-top: 0;
                    margin-right: 20px;
                }
            }
            + .museum__item--2 {
                @media (max-width: 1024px) {
                    margin-top: 0;
                }
            }
        }
        &--6 {
            @media (max-width: 1024px) {
                min-width: 290px;
            }
            .museum__item_img-box {
                @media (max-width: 1024px) {
                    width: 204px;
                }
            }
        }
        &_line {
            position: relative;
            &:before {
                content: "";
                position: absolute;
                background: #CCA86F;
            }
            &--h {
                &:before {
                    height: 3px;
                    width: 158px;
                    @media (max-width: 1024px) {
                        height: 2px;
                        width: 65px;
                    }
                }
                &.museum__item--2 {
                    .museum__item_text-title {
                        margin-top: 40px;
                        margin-bottom: 59px;
                    }
                    .museum__item_text {
                        margin-left: 38px;
                    }
                }
            }
            &--v {
                &:before {
                    height: 158px;
                    width: 3px;
                    @media (max-width: 1024px) {
                        width: 2px;
                        height: 65px;
                    }
                }
            }
            &--1 {
                &:before {
                    top: 20px;
                    right: 0;
                    @media (max-width: 1024px) {
                        top: 20px;
                    }
                }
            }
            &--2 {
                &:before {
                    top: -17px;
                    left: 0;
                    @media (max-width: 1024px) {
                        top: -77px;
                    }
                }
            }
        }
    }
    &__title-box {
        position: relative;
        width: 100vw;
        text-align: right;
        letter-spacing: 0.05em;
        text-transform: uppercase;
        color: #1D1D1D;
        margin-top: -45px;
        display: flex;
        justify-content: center;
        @media (max-width: 1024px) {
            margin-top: 11px;
            margin-bottom: 66px;
            position: sticky;
            left: 0;
        }           
        @media (max-width: 580px) {
            width: 295px;
        }
        &_containeer {
            text-align: right;
            position: relative;
        }
        &_text {
            font-size: 144px;
            line-height: 1;
            margin-bottom: 14px;
            font-family: 'NewBaskervilleExpOdC';
            @media (max-width: 1024px) {
                font-size: 48px;
                line-height: 58px;
                margin-bottom: 0;
            }
            &_little {
                font-size: 36px;
                font-family: 'NewBaskervilleExpOdC';
                line-height: 43px;
                @media (max-width: 1024px) {
                    display: inline-block;
                    font-size: 18px;
                    line-height: 22px;
                    width: 218px;
                }
            }
        }
        &__btn-circle {
            position: absolute;
            top: 100%;
            right: 0;
            transform: translate(140%,-68px);
            z-index: 5;
            @media (max-width: 1024px) {
                transform: translate(100%, -37px);
            }
        }
    }
    &__wrapper {
        height: 100%;
        &_container {
            height: 100%;
        }
        &_box {
            height: 100%;
            width: 100%;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
        }
    }
}